当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 系统出现了一大堆错误 每个我都不知道怎么办 难道要重装 ubuntu可不像win那么
帖子发表于 : 2006-07-27 10:55 
头像

注册: 2006-07-23 20:27
帖子: 484
送出感谢: 0 次
接收感谢: 0 次
系统出现了一大堆错误 每个我都不知道怎么办 难道要重装 ubuntu可不像win那么好重装

第一个是lumaqq启动不了了 昨天还用着好好的 jre是 1.5的 也设定 alternative了 而且又设定了一次
apt-get clean也用了 这是我在终端里直接输入 ./lumaqq的出错信息
在系统监视器里 java进程睡眠 占了40M内存

lumaqq 和 java怎么老出错阿 论坛里这方面的帖子满地都是 除了没安jre和 版本不对 以及没设定 alternative有人解答
外 其他的求助基本石沉大海 不知道我这个是不是也是 如此命运

引用:
zhanghao@ubuntu:/opt/LumaQQ$ Exception in thread "main" java.lang.NullPointerExc eption
at edu.tsinghua.lumaqq.ui.sorter.ModelSorter.compare(ModelSorter.java:69 )
at edu.tsinghua.lumaqq.ui.sorter.ModelSorter.compare(ModelSorter.java:1)
at java.util.Arrays.mergeSort(Arrays.java:1284)
at java.util.Arrays.sort(Arrays.java:1223)
at edu.tsinghua.lumaqq.widgets.qstyle.QTreeViewer.refresh(QTreeViewer.ja va:230)
at edu.tsinghua.lumaqq.widgets.qstyle.QTreeViewer.setInput(QTreeViewer.j ava:500)
at edu.tsinghua.lumaqq.ui.helper.BlindHelper.initTreeMode(BlindHelper.ja va:545)
at edu.tsinghua.lumaqq.ui.helper.BlindHelper.resetMode(BlindHelper.java: 729)
at edu.tsinghua.lumaqq.ui.helper.BlindHelper.setTreeMode(BlindHelper.jav a:825)
at edu.tsinghua.lumaqq.ui.MainShell.setClient(MainShell.java:321)
at edu.tsinghua.lumaqq.LumaQQ.main(LumaQQ.java:149)
zhanghao@ubuntu:/opt/LumaQQ$




这个是 apt-get dist-upgrade的出错消息 好像是要升级 openoffice 可能是不是中文版的 系统不让升级 怎么办
中不中文版我不在乎 手动找到这些包 解除 hold? 还是不让它提示这个升级消息 因为 它现在认为这是个错误 每次
升级都不能升 到这里就停止了

引用:
openoffice.org-l10n-en-gb: 冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
openoffice.org-l10n-en-za: 冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
openoffice.org-l10n-zh-cn: 依赖: openoffice.org-common (< 2.0.3) 但是 2.0.3-2dapper1 正要被安装 或
language-support-zh 但是它将不会被安装
冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
openoffice.org-l10n-zh-tw: 依赖: openoffice.org-common (< 2.0.3) 但是 2.0.3-2dapper1 正要被安装 或
language-support-zh 但是它将不会被安装
冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
E: 错误,pkgProblemResolver::Resolve 发生故障,这可能是有软件包被要求保持现状的缘故。



还是那个错误 不过这是任务栏图表的提示

引用:
出现一个错误 ,请右击目录来运行package manager或在终端使用apt-get查看相关错误信息
错误信息为: ‘Error:Marking the upgrade (E:Error, pkgProblemResolver::Resolve generated breaks ,this may be caused by held packages.)'


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 系统出现了一大堆错误 每个我都不知道怎么办 难道要重装 ubuntu可不像win那么
帖子发表于 : 2006-07-27 11:37 

注册: 2006-03-08 22:20
帖子: 116
送出感谢: 0 次
接收感谢: 0 次
paulcross 写道:
系统出现了一大堆错误 每个我都不知道怎么办 难道要重装 ubuntu可不像win那么好重装

第一个是lumaqq启动不了了 昨天还用着好好的 jre是 1.5的 也设定 alternative了 而且又设定了一次
apt-get clean也用了 这是我在终端里直接输入 ./lumaqq的出错信息
在系统监视器里 java进程睡眠 占了40M内存

lumaqq 和 java怎么老出错阿 论坛里这方面的帖子满地都是 除了没安jre和 版本不对 以及没设定 alternative有人解答
外 其他的求助基本石沉大海 不知道我这个是不是也是 如此命运

引用:
zhanghao@ubuntu:/opt/LumaQQ$ Exception in thread "main" java.lang.NullPointerExc eption
at edu.tsinghua.lumaqq.ui.sorter.ModelSorter.compare(ModelSorter.java:69 )
at edu.tsinghua.lumaqq.ui.sorter.ModelSorter.compare(ModelSorter.java:1)
at java.util.Arrays.mergeSort(Arrays.java:1284)
at java.util.Arrays.sort(Arrays.java:1223)
at edu.tsinghua.lumaqq.widgets.qstyle.QTreeViewer.refresh(QTreeViewer.ja va:230)
at edu.tsinghua.lumaqq.widgets.qstyle.QTreeViewer.setInput(QTreeViewer.j ava:500)
at edu.tsinghua.lumaqq.ui.helper.BlindHelper.initTreeMode(BlindHelper.ja va:545)
at edu.tsinghua.lumaqq.ui.helper.BlindHelper.resetMode(BlindHelper.java: 729)
at edu.tsinghua.lumaqq.ui.helper.BlindHelper.setTreeMode(BlindHelper.jav a:825)
at edu.tsinghua.lumaqq.ui.MainShell.setClient(MainShell.java:321)
at edu.tsinghua.lumaqq.LumaQQ.main(LumaQQ.java:149)
zhanghao@ubuntu:/opt/LumaQQ$




这个是 apt-get dist-upgrade的出错消息 好像是要升级 openoffice 可能是不是中文版的 系统不让升级 怎么办
中不中文版我不在乎 手动找到这些包 解除 hold? 还是不让它提示这个升级消息 因为 它现在认为这是个错误 每次
升级都不能升 到这里就停止了

引用:
openoffice.org-l10n-en-gb: 冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
openoffice.org-l10n-en-za: 冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
openoffice.org-l10n-zh-cn: 依赖: openoffice.org-common (< 2.0.3) 但是 2.0.3-2dapper1 正要被安装 或
language-support-zh 但是它将不会被安装
冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
openoffice.org-l10n-zh-tw: 依赖: openoffice.org-common (< 2.0.3) 但是 2.0.3-2dapper1 正要被安装 或
language-support-zh 但是它将不会被安装
冲突: openoffice.org-core (>= 2.0.3) 但是 2.0.3-2dapper1 正要被安装
E: 错误,pkgProblemResolver::Resolve 发生故障,这可能是有软件包被要求保持现状的缘故。



还是那个错误 不过这是任务栏图表的提示

引用:
出现一个错误 ,请右击目录来运行package manager或在终端使用apt-get查看相关错误信息
错误信息为: ‘Error:Marking the upgrade (E:Error, pkgProblemResolver::Resolve generated breaks ,this may be caused by held packages.)'


打开新立德搜索一下 gcj, 这个软件包会和 jre冲触的。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-07-27 21:41 
头像

注册: 2006-07-23 20:27
帖子: 484
送出感谢: 0 次
接收感谢: 0 次
问题 依旧 现在是 lumaqq也不能用 openoffice也不能用 让我卸载了 重装时提示要卸载几个语言帮助包 可是那几个包 怎么也卸载不了 于是就这么上不去下不来的卡死在那里了

继续求教中 不知道 有无openoffice dpk安装包 有没有可能手动删除那几个包然后升级
那几个包不能删是不是因为我的桌面是中文的 它们依赖那几个 包来显示中文


gcj我卸载了 不管用


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-07-27 21:45 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
http://forum.ubuntu.org.cn/viewtopic.ph ... gcache.bin
试试这个。


_________________
● 鸣学


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-07-27 22:16 
头像

注册: 2005-08-15 0:04
帖子: 1880
地址: 南7技校
送出感谢: 0 次
接收感谢: 0 次
OOo好像是因为源的同步问题,等一天再升级可能就好了
lumaqq的问题还是在java上面,看看你的 /usr/bin/java是不是指向 正确的java,正确的应该是java5
代码:
zhan@ubuntu:~$ ls -l /usr/bin/java
lrwxrwxrwx 1 root root 22 2006-06-11 19:39 /usr/bin/java -> /etc/alternatives/java
zhan@ubuntu:~$ ls -l /etc/alternatives/java
lrwxrwxrwx 1 root root 26 2006-06-11 20:34 /etc/alternatives/java -> /usr/lib/jvm/java-1.5.0-sun/bin/java

正确的java环境应该是这样的..
如果还是有问题试试将 ~/.lumaqq* 文件夹删除了看看


_________________
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-07-29 2:23 
头像

注册: 2006-07-23 20:27
帖子: 484
送出感谢: 0 次
接收感谢: 0 次
引用:
如果还是有问题试试将 ~/.lumaqq* 文件夹删除了看看


多谢 zhan大侠 删除了那个 隐藏文件夹后果然能用了 不知道 具体的原因 能否解释下 我对 Linux系统不明白
教程也没写这个


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-07-30 15:53 
头像

注册: 2006-01-19 11:55
帖子: 1114
地址: HUST
送出感谢: 0 次
接收感谢: 0 次
.lumaqq is the default user configure files of lumaqq, it will be build by the program when running for the first time.


_________________
http://www.classfoo.org


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译